To use this application, you must update it? (Soundtrack)

  1. I pre-ordered Tearaway Unfolded from the UK PS Store and download for everything started yesterday. In the morning, I opened the soundtrack, which was part of the pre-order bonuses, and it gave me a weird message saying "To use this application, you must update it."
    Of course, I was like, "What? How is there an update for a soundtrack?"
    Then I started trying everything. Restarting my PS4, clicking on "Check for Update", checking my Download List for any update and even deleting it and re-downloading. So, anyone has this problem? Anyone can help with this?
    Thanks in advance!

    User Info: beta4pokemon

    beta4pokemon - 3 years ago

Answer this Question

You're browsing GameFAQs Answers as a guest. Sign Up for free (or Log In if you already have an account) to be able to ask and answer questions.

More Questions from This Game

Question Status
100% Guide? Answered